import { Verify } from '@/utils/verify/verify';


/**
 * 计算获取身份证附加信息
 *
 * @export
 * @class GetSFZXXBase
 */
export default class GetSFZXXBase {

    /**
     * 名称
     * 
     * @memberof  GetSFZXXBase
     */
    private name:string ="GetSFZXX";

    /**
     * 唯一标识
     * 
     * @memberof  GetSFZXXBase
     */
    private id:string = "b9a6d9a32211281140d2daf4115d9535";

    /**
     * 默认参数名称
     * 
     * @memberof  GetSFZXXBase
     */
    private defaultParamName:string = "Default";

    /**
     * Creates an instance of  GetSFZXXBase.
     * 
     * @param {*} [opts={}]
     * @memberof  GetSFZXXBase
     */
    constructor(opts: any = {}) {
        
    }


    /**
     * 计算0节点结果
     * 
     * @param params 传入参数
     */
    public compute0Cond(params:any):boolean{
        if(Verify.testCond(params.zjlx, 'EQ', 'A1')){
           return true;
        }else{
            return false;
        }
    }

    /**
     * 执行逻辑
     * 
     * @param context 应用上下文
     * @param params 传入参数
     */
    public onExecute(context:any,params:any,isloading:boolean){
        return this.executeBegin(context,params,isloading);
    }


    /**
    * 开始
    * 
    * @param params 传入参数
    */
    private async executeBegin(context:any,params:any,isloading:boolean){
        //开始节点
        if(this.compute0Cond(params)){
            return this.executeSfplugin1(context,params,isloading);   
        }
    }

    /**
    * 通过身份证计算相关信息
    * 
    * @param context 应用上下文
    * @param params 传入参数
    */
    private async executeSfplugin1(context:any,params:any,isloading:boolean){
        // SFPLUGIN暂未支持
        console.log("SFPLUGIN暂未支持");
        return params;
    }


}